package com.common.commonlib.utils

import android.content.Context

/**
 * 界面工具类
 */
object DisplayUtils {

    /**
     * dp 转 px
     */
    fun dp2px(context: Context, dpVale: Float): Int {
        val density = context.resources.displayMetrics.density
        return ((dpVale * density + 0.5f).toInt())
    }

    /**
     * px 转 dp
     */
    fun px2dp(context: Context, pxVale: Float): Int {
        val density = context.resources.displayMetrics.density
        return ((pxVale / density + 0.5f).toInt())
    }
}